# tclerror.tcl --
#
# This file contains a default version of the tclerror procedure.  It
# prints the error message and a stack trace to stdout.
#

# tclerror --
# This is the default version of tclerror.  It prints the error message
# and a stack trace to stdout.
# Arguments:
# err -			The error message.

proc tclerror err {
    global errorInfo
    puts stdout "Error in Tcl Script:"
    puts stdout "Error: $err"
    puts stdout "Stack Trace:"
    puts stdout "$errorInfo"
}
